Bug Hunting Session
Bug 119432 - Draw: Add all snap items into menu View
Summary: Draw: Add all snap items into menu View
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Draw-Menus
  Show dependency treegraph
 
Reported: 2018-08-22 22:02 UTC by andreas_k
Modified: 2018-10-11 12:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Snap arrangement in Draw menubar (View -> Snap Guides) (246.29 KB, image/png)
2018-08-22 22:02 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-08-22 22:02:14 UTC
Created attachment 144377 [details]
Snap arrangement in Draw menubar (View -> Snap Guides)

Snap to specific items is very importent when you would like to draw geometric things. But at the moment most snap options are only available in the configure dialogue. So the proposal is to have all the snap options in Draw -> View -> Snap Guides and the Snap Guides context menu.
Comment 1 Heiko Tietze 2018-08-23 08:49:28 UTC
Could make sense to expose the snap options but I don't get the 4 screens. And it seems you want to remove the helpline options. Hopefully not.
Comment 2 Regina Henschel 2018-08-23 10:54:35 UTC
I'm not sure, that these options need to go into the menu as default. We already have the "Options"-toolbar, which has all these settings. This toolbar exists since OOo1. All items are .uno commands, so a user who likes to have it in the menu can easily customize his menu.
Comment 3 andreas_k 2018-08-23 11:08:42 UTC
I dont remove helpline options snap to snap go to snap to group to all other snap options.

Inkscape has snap options also in the defaolt ui. I think there are also shortcuts for them.

Same in autocad.there snap options are available in the default ui as specific toolbar.

When you would like to draw flowcharts how  would it work without snap to object.the most important snap options are now not visible in the menubar.
Comment 4 Roman Kuznetsov 2018-08-28 20:19:04 UTC
I agree with Andreas.

Regina: Yousuf made huge changing in main menu of writer, calc and impress in 5.1. And one from his reasons was to follow HIG - "All function should be available from main menu" (c)

i can customize menus, toolbars, etc. But I often see, that LO has a problem with user profile. I delete it and LO works fine, but I lose my customizings.
Comment 5 Commit Notification 2018-08-31 07:29:56 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e42e545176a7bfe31fc687ec9ab47db517725eb

tdf#119432 add snap options to Draw menubar and contextmenu

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-10-11 11:47:44 UTC
A polite ping to andreas kainz:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks
Comment 7 andreas_k 2018-10-11 12:20:39 UTC
Thanks for the feedback this bug ws fixed and work like a charm.